GCubeGisViewerService (gCube GIS Viewer Widget 2.0.0-SNAPSHOT API)
Date: 2013-07-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.gcubegisviewer.client
Interface GCubeGisViewerService

All Superinterfaces:
  org.gcube.portlets.user.gisviewer.client.GisViewerService, com.google.gwt.user.client.rpc.RemoteService

All Known Implementing Classes:
  GCubeGisViewerServletImpl

    @RemoteServiceRelativePath(value="GisViewerService")
    public interface GCubeGisViewerService

extends org.gcube.portlets.user.gisviewer.client.GisViewerService

Author:
  "Federico De Faveri defaveri@isti.cnr.it"

Method Summary
`void` | `saveLayerItem(String name, String mimeType, String url, String destinationFolderId)`
`void` | `saveMapImageItem(String name, String mimeType, String bbox, String width, String height, String[] geoservers, String[] layers, String[] styles, String[] opacities, String[] cqlfilters, String[] gsrefs, String destinationFolderId)`

Methods inherited from interface org.gcube.portlets.user.gisviewer.client.GisViewerService
`getDataResult, getDataResult, getGroupsInfo, getLayersInfo, getLayersInfoByLayerItems, getTransectUrl`

Method Detail

### saveLayerItem

    void saveLayerItem(String name,
                       String mimeType,
                       String url,
                       String destinationFolderId)
                       throws Exception

  Throws:
    `Exception`

### saveMapImageItem

    void saveMapImageItem(String name,
                          String mimeType,
                          String bbox,
                          String width,
                          String height,
                          String[] geoservers,
                          String[] layers,
                          String[] styles,
                          String[] opacities,
                          String[] cqlfilters,
                          String[] gsrefs,
                          String destinationFolderId)
                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.